import {createCard} from "./single-place-card.js";

export function initPlacesBlock($container) {
    console.log("initPlacesBlock")
    $container.append(
        $(`
            <div class="container">
                <div class="row" id="placesContainer">
                    
                </div>
            </div>
        `)
    )

    function loadPlaces(filters = {}) {
        $('#placesContainer').empty().append('<div class="text-center">Загрузка...</div>');

        // Задержка 500ms перед отрисовкой
        setTimeout(() => {
            $('#placesContainer').empty();
            console.log("новые фильтры в loadPlaces: ", filters)
            for (let i = 0; i < 10; i++) {
                $('#placesContainer').append($(createCard()));
            }
        }, 1500);
    }

    $(document).on('filtersChanged', (e, filters) => {
        console.log('Фильтры изменились:', filters);
        loadPlaces(filters);
    });

    // первая загрузка
    loadPlaces()
}